#!/usr/bin/env python
#-*- encoding:utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution    
#    Copyright (C) 2011 TeMPO Consulting, MSF. All Rights Reserved
#    Developer: Olivier DOSSMANN
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv
from osv import fields
from tools.translate import _
from ..register_tools import open_register_view

class wizard_temp_posting(osv.osv_memory):
    _name = "wizard.temp.posting"

    def action_confirm_temp_posting(self, cr, uid, ids, context={}):
        """
        Temp post some statement lines
        """
        if 'active_ids' in context:
            # Retrieve statement line ids
            st_line_ids = context.get('active_ids')
            # Browse statement lines
            for st_line_id in st_line_ids:
                # Verify that the line is in draft state ('Empty')
                st_line = self.pool.get('account.bank.statement.line').browse(cr, uid, [st_line_id])[0]
                state = st_line.state
                if state == 'draft':
                    # If in the good state : temp posting !
                    self.pool.get('account.bank.statement.line').button_temp_posting(cr, uid, [st_line_id], context=context)
            return open_register_view(self, cr, uid, st_line.statement_id.id)
        else:
            raise osv.except_osv(_('Warning'), _('You have to select some lines before using this wizard.'))

wizard_temp_posting()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
